xine-lib: xine_xxmc_s Struct Reference

xine-lib 1.2.12

Data Fields
xine_xxmc_s Struct Reference

`#include <accel_xvmc.h>`

## Data Fields
xine_xvmc_t | xvmc
unsigned | mpeg
unsigned | acceleration
int | fallback_format
xine_vld_frame_t | vld_frame
uint8_t * | slice_data
unsigned | slice_data_size
unsigned | slice_code
int | result
int | decoded
float | sleep
void(* | proc_xxmc_update_frame )(vo_driver_t *this_gen, vo_frame_t *frame_gen, uint32_t width, uint32_t height, double ratio, int format, int flags)
void(* | proc_xxmc_begin )(vo_frame_t *vo_img)
void(* | proc_xxmc_slice )(vo_frame_t *vo_img)
void(* | proc_xxmc_flush )(vo_frame_t *vo_img)
int(* | proc_xxmc_lock_valid )(vo_frame_t *cur_frame, vo_frame_t *fw_frame, vo_frame_t *bw_frame, unsigned pc_type)
void(* | proc_xxmc_unlock )(vo_driver_t *this_gen)

## Field Documentation

## ◆ acceleration

unsigned xine_xxmc_s::acceleration

Referenced by libmpeg2_accel_discontinuity(), libmpeg2_accel_frame_completion(), libmpeg2_accel_new_frame(), libmpeg2_accel_slice(), xxmc_do_update_frame(), xxmc_find_context(), xxmc_frame_updates(), and xxmc_xvmc_update_context().

## ◆ decoded

int xine_xxmc_s::decoded

Referenced by libmpeg2_accel_frame_completion(), mpeg2_xxmc_slice(), mpeg2_xxmc_vld_frame_complete(), xxmc_display_frame(), xxmc_gui_data_exchange(), and xxmc_update_frame_format().

## ◆ fallback_format

int xine_xxmc_s::fallback_format

Referenced by libmpeg2_accel_new_frame(), and xxmc_do_update_frame().

## ◆ mpeg

unsigned xine_xxmc_s::mpeg

Referenced by libmpeg2_accel_new_frame(), xxmc_do_update_frame(), xxmc_find_context(), and xxmc_xvmc_update_context().

## ◆ proc_xxmc_begin

void(* xine_xxmc_s::proc_xxmc_begin) (vo_frame_t *vo_img)

Referenced by mpeg2_xxmc_slice(), and xxmc_frame_updates().

## ◆ proc_xxmc_flush

void(* xine_xxmc_s::proc_xxmc_flush) (vo_frame_t *vo_img)

Referenced by libmpeg2_accel_discontinuity(), libmpeg2_accel_frame_completion(), mpeg2_xxmc_vld_frame_complete(), and xxmc_frame_updates().

## ◆ proc_xxmc_lock_valid

int(* xine_xxmc_s::proc_xxmc_lock_valid) (vo_frame_t *cur_frame, vo_frame_t *fw_frame, vo_frame_t *bw_frame, unsigned pc_type)

Referenced by libmpeg2_accel_slice(), and xxmc_frame_updates().

## ◆ proc_xxmc_slice

void(* xine_xxmc_s::proc_xxmc_slice) (vo_frame_t *vo_img)

Referenced by mpeg2_xxmc_slice(), and xxmc_frame_updates().

## ◆ proc_xxmc_unlock

void(* xine_xxmc_s::proc_xxmc_unlock) (vo_driver_t *this_gen)

Referenced by libmpeg2_accel_slice(), and xxmc_frame_updates().

## ◆ proc_xxmc_update_frame

void(* xine_xxmc_s::proc_xxmc_update_frame) (vo_driver_t *this_gen, vo_frame_t *frame_gen, uint32_t width, uint32_t height, double ratio, int format, int flags)

Referenced by libmpeg2_accel_new_frame(), and xxmc_update_frame_format().

## ◆ result

int xine_xxmc_s::result

Referenced by mpeg2_xxmc_slice(), mpeg2_xxmc_vld_frame_complete(), and xvmc_flush().

## ◆ sleep

float xine_xxmc_s::sleep

Referenced by mpeg2_xxmc_slice().

## ◆ slice_code

unsigned xine_xxmc_s::slice_code

Referenced by mpeg2_xxmc_slice().

## ◆ slice_data

uint8_t* xine_xxmc_s::slice_data

Referenced by mpeg2_xxmc_slice().

## ◆ slice_data_size

unsigned xine_xxmc_s::slice_data_size

Referenced by mpeg2_xxmc_slice().

## ◆ vld_frame

xine_vld_frame_t xine_xxmc_s::vld_frame

Referenced by mpeg2_xxmc_slice().

## ◆ xvmc

xine_xvmc_t xine_xxmc_s::xvmc

Referenced by xxmc_alloc_frame(), xxmc_do_update_frame(), xxmc_frame_updates(), and xxmc_mocomp_create_macroblocks().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/xine-engine/accel_xvmc.h